#ifndef HW_MINI_SENSING_PLC_H    
#define HW_MINI_SENSING_PLC_H 

#ifndef LED_ON
	#define LED_ON 0x01 
#endif

#ifndef LED_OFF
	#define LED_OFF 0x00 
#endif

#ifndef ON_STATE
	#define ON_STATE 0x01 
#endif

#ifndef OFF_STATE
	#define OFF_STATE 0x00  
#endif

#ifndef INPUT_ACTIVATED
	#define INPUT_ACTIVATED 0x01 
#endif

#ifndef INPUT_DEACTIVATED
	#define INPUT_DEACTIVATED 0x00 
#endif

#ifndef SET_AS_OUTPUT
	#define SET_AS_OUTPUT 0x00  
#endif

#ifndef SET_AS_INPUT
	#define SET_AS_INPUT 0x01 
#endif

#ifndef SET_AS_INPUT
    #define BUTTON_PRESSED 0x00
#endif

#ifndef TURN_ON_RELAY
    #define TURN_ON_RELAY 0x01
#endif

#ifndef TURN_OFF_RELAY
    #define TURN_OFF_RELAY 0x00
#endif

//********************************************
//Output signals
//********************************************
#define RELAY_1_PLC         P10_OUT 
#define RELAY_1_PLC_DIR     P10_DIR

#define RELAY_2_PLC         P11_OUT 
#define RELAY_2_PLC_DIR     P11_DIR



//********************************************
// Input       
//********************************************

#define INPUT_1_PLC         P6_IN
#define INPUT_1_PLC_DIR     P6_DIR  

#define INPUT_2_PLC         P8_IN
#define INPUT_2_PLC_DIR     P8_DIR 

#define INPUT_1_ADC_PLC     ADC_CH12

#define INPUT_2_ADC_PLC     ADC_CH7
 

//********************************************
//RS485 signals
//********************************************
#define RS485_TX_ENABLE_PLC         P18_OUT
#define RS485_TX_ENABLE_PLC_DIR     P18_DIR

#define RS485_RX_ENABLE_PLC         P17_OUT
#define RS485_RX_ENABLE_PLC_DIR     P17_DIR

#define RS485_TX_ENABLED_PLC    0x01
#define RS485_TX_DISABLED_PLC   0x00

#define RS485_RX_ENABLED_PLC    0x00
#define RS485_RX_DISABLED_PLC   0x01

#endif

