//******************************************************************************
// Buzzer sounds up.
//
//
// Tested Platform: mini Sensing Board PIC24
// Tested MCU: PIC24FJ64GA104
// Tested Compiler: XC-DSC 3.10
//******************************************************************************

#include "xc.h"

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "HW_mini_Sensing_MCU_Board.h"

#include "module_IO.h"  
#include "module_IO.c" 

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#define BEEP_COUNT 2000u

int main (void){
    uint16_t counter = 0x00;
    
    IO_set_all_ports_as_inputs ();
    
    delay_set_quartz(32);
    
    //Set LED as output
    LED_1_DIR = SET_AS_OUTPUT;
    LED_2_DIR = SET_AS_OUTPUT;
        
    //Output Buzzer
    BUZZER_DIR = SET_AS_OUTPUT;
    
    //Open Drain as output 
    OPEN_DRAIN_DIR = SET_AS_OUTPUT;
        
    //Servo
    SERVO_DIR = SET_AS_OUTPUT;
    
        
    //Initialization
    LED_1 = LED_OFF;
    LED_2 = LED_ON;
    
    BUZZER_OUT = OFF_STATE;
    OPEN_DRAIN_OUT = OFF_STATE;
    SERVO_OUT = OFF_STATE;

    while (1){
        
        delay_ms (1000);
        
        for (counter = 0; counter <BEEP_COUNT; counter++ ){
            delay_us (240);
            BUZZER_OUT = (BUZZER_OUT^0x01);  
        }          
            
    }  
}   
    
    