//******************************************************************************
// The software is testing the basic functions implemented in the GLCD graphic 
// library. The Double buffer functions is shown to speed up the graphic. 
//
//
// Tested Platform: mini Controller board PIC32
// Tested MCU: PIC32MX150F128D
// Tested Compiler: XC32 4.30
//******************************************************************************

#include <xc.h>

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "LTlib_utilities.h"
#include "LTlib_utilities.c"

#include "module_IO.h"
#include "module_IO.c"

#include "module_SPI.h"
#include "module_SPI.c"

#include "GLCD_ST7565.h"
#include "GLCD_ST7565.c"

#include "Display_utilities.h"
#include "Display_utilities.c"

//*************************************
//          
//*************************************
int main(void) {

    IO_set_all_ports_as_inputs();
     
    delay_set_quartz(20);

    Display_initialize ();

    Display_backlight (DISPLAY_TURN_ON_LED);

    Display_set_double_buffer_state (DISPLAY_DOUBLE_BUFFER_ON);
    
    while (1) {

        Display_clear (DISPLAY_FILLING_WHITE);
               
        //Select Menu 1
        Display_draw_box ( 0, 5, 127, 11, DISPLAY_FILLING_BLACK);
        
        Display_set_font_color(DISPLAY_FILLING_WHITE);
        Display_write_message (7,7,"Menu 1");
        
        Display_set_font_color(DISPLAY_FILLING_BLACK);
        Display_write_message (7,18,"Menu 2");   
        
        Display_write_message (7,29,"Menu 3");   
        
        Display_update_double_buffer ();

        delay_ms (2000);
        
        //Select Menu 2
        
        //Delete previous box
        Display_draw_box ( 0, 5, 127, 11, DISPLAY_FILLING_WHITE);  
        
        //Write the menu 1
        Display_set_font_color(DISPLAY_FILLING_BLACK);
        Display_write_message (7,7,"Menu 1");
        
        //Make the new box on Menu 2 and write it back in 
        Display_draw_box ( 0, 16, 127, 11, DISPLAY_FILLING_BLACK);
        Display_set_font_color(DISPLAY_FILLING_WHITE);
        Display_write_message (7,18,"Menu 2");   
        
        Display_set_font_color(DISPLAY_FILLING_BLACK);
        Display_write_message (7,29,"Menu 3");   
        
        Display_update_double_buffer ();
        
        delay_ms (2000);
        
        //Select Menu 3
        
        //Write the menu 1
        Display_set_font_color(DISPLAY_FILLING_BLACK);
        Display_write_message (7,7,"Menu 1");
        
        //Delete previous box
        Display_draw_box ( 0, 16, 127, 11, DISPLAY_FILLING_WHITE);
        Display_set_font_color(DISPLAY_FILLING_BLACK);
        Display_write_message (7,18,"Menu 2");   
        
        //Make the new box on Menu 2 and write it back in 
        Display_draw_box ( 0, 27, 127, 11, DISPLAY_FILLING_BLACK);
        Display_set_font_color(DISPLAY_FILLING_WHITE);
        Display_write_message (7,29,"Menu 3");   
        
        Display_update_double_buffer ();
        
        delay_ms (2000);
                        
    }
    
}
    