//******************************************************************************
// The software is testing the basic functions implemented in the GLCD graphic 
// library.
//
//
// Tested Platform: mini Controller board PIC32
// Tested MCU: PIC32MX150F128D
// Tested Compiler: XC32 4.30
//******************************************************************************

#include <xc.h>

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "LTlib_utilities.h"
#include "LTlib_utilities.c"

#include "module_IO.h"
#include "module_IO.c"

#include "module_SPI.h"
#include "module_SPI.c"

#include "GLCD_ST7565.h"
#include "GLCD_ST7565.c"

#include "Display_utilities.h"
#include "Display_utilities.c"

//*************************************
//           
//*************************************
int main(void) {
    
    uint8_t counter =0; 
    
    const uint8_t * List[10];
    
    List[0] = number_0 ;
    List[1] = number_1;
    List[2] = number_2;
    List[3] = number_3;
    List[4] = number_4;
    List[5] = number_5;
    List[6] = number_6;
    List[7] = number_7;
    List[8] = number_8;
    List[9] = number_9;
        
    IO_set_all_ports_as_inputs();
       
    delay_set_quartz(20);

    Display_initialize ();

    Display_backlight (DISPLAY_TURN_ON_LED);
    
    Display_set_font (DISPLAY_FONT_WIDTH_7, DISPLAY_FONT_HEIGTH_7);
    
    while (1) {

        Display_clear (DISPLAY_FILLING_WHITE);
        
        Display_draw_icon (0,0, 25, 32, List[0]);
        Display_draw_icon (25,0, 25, 32, List[1]);
        Display_draw_icon (50,0, 25, 32, List[2]);
        Display_draw_icon (75,0, 25, 32, List[3]);
        Display_draw_icon (100,0, 25, 32, List[4]);
        Display_draw_icon (0,33,25, 32, List[5]);
        Display_draw_icon (25,33, 25, 32, List[6]);
        Display_draw_icon (50,33, 25, 32, List[7]);
        Display_draw_icon (75,33, 25, 32, List[8]);
        Display_draw_icon (100,33, 25, 32, List[9]);
        
        delay_s (1);
        
        Display_clear (DISPLAY_FILLING_WHITE);
        
               
        for (counter = 0; counter <10; counter++){
            Display_draw_icon (50,15, 25, 32, List[counter]);
            delay_ms (1000);
            Display_clear (DISPLAY_FILLING_WHITE);
        }
    }
    
}
    