//******************************************************************************
// The software writes "Hello World" to the LCD out of a constant.
// On the 3rd line a counter is shown to refresh the display. 
// The LCD must be connected as specified in the library included below.
//
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032B
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#define SYSTEM_CLOCK 20000000UL

#include "LTlib.h"

#include "LTlib_utilities.h"
#include "LTlib_utilities.c"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "module_IO.h"
#include "module_IO.c"

#define LCD_VOLTAGE 3
#define LCD_LINES 3
#include "LCD_ST7036.h"
#include "LCD_ST7036.c"

void main(void) {
    
    uint16_t counter = 0;
    
    IO_set_all_ports_as_inputs();
    
    LCD_initialize(20);
        
    LCD_goto_line(1);    
    LCD_write_message("  Hello World");
    
    LCD_goto_line(3);   
    LCD_write_message("Counter :");
    
    //Counter example
    for (counter = 0; counter <= 500; counter++ ){
        delay_ms (10);
        
        LCD_goto_xy(11,3);

        LCD_write_integer(counter,4, LCD_ZERO_CLEANING_ON);
    }   
    
    while(1);    
}

