//******************************************************************************
// In this example the DAC MCP4822 is set to generate a voltage reference.
// The MCP4822 is connected to the SPI module 1 but it can be connected also 
// to module 2 by changing the definition before the library. 
// Check the device configuration file for the peripheral pin out.
//
// The voltage is set as fixed one to 1.8V but different ones can be selected.
//
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032B
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "module_IO.h"
#include "module_IO.c"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "module_SPI.h"
#include "module_SPI.c"

#define MCP4822_SPI_MODULE_2 
#include "MCP4822.h"
#include "MCP4822.c"

//*************************************
//      Voltage reference
//*************************************

#define REFERENCE_0000 0
#define REFERENCE_1500 1500
#define REFERENCE_1800 1800
#define REFERENCE_3300 3000


void main (void) {

    IO_set_all_ports_as_inputs();

    MCP4822_initialize (SPI_CLK_1000_KHZ);

    MCP4822_set_options (MCP4822_GAIN_2, MCP4822_SHUTDOWN_OFF, MCP4822_DAC_A);
    
    MCP4822_set_amplitude (REFERENCE_1800, MCP4822_DAC_A);
    
    while (1);
}
