//******************************************************************************
// The software writes the Date and Time to the LCD.
// The LCD must be connected as specified in the library included above.
// The MCP7940 must be connected to the I2C Module 2 of the MCU.  
//
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032B
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "LTlib_utilities.h"
#include "LTlib_utilities.c"

#include "module_IO.h"
#include "module_IO.c"

#include "module_I2C.h"
#include "module_I2C.c"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#define MCP7940_I2C_MODULE_2
#include "MCP7940.h"
#include "MCP7940.c"

#include "LCD_ST7036.h"
#include "LCD_ST7036.c"

void main(void) {
    
    IO_set_all_ports_as_inputs();
    
    LCD_initialize(20);
    RTCC_initialize(400);
    
    RTCC_set_years(0x15);
    RTCC_set_months(0x11);
    RTCC_set_days(0x22);
    
    RTCC_set_hours(0x16);
    RTCC_set_minutes(0x20);
    RTCC_set_seconds(0x22);
    
    LCD_backlight(LCD_TURN_ON_LED);
 
    while(1){
        LCD_home(); 
        LCD_write_message("Date : ");
        LCD_write_string (RTCC_get_date());                
        LCD_goto_line(2);
        LCD_write_message("Time : ");
        LCD_write_string (RTCC_get_time_seconds());
        
        delay_ms (100);
    }
}
