//******************************************************************************
// The software is testing the basic functions implemented in the OLED graphic 
// library.
//
// Tested Platform: mini Controller Board PIC32
// Tested MCU: PIC32MX150F128D
// Tested Compiler: XC32 4.30
//******************************************************************************

#include <xc.h>

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "LTlib_utilities.h"
#include "LTlib_utilities.c"

#include "module_IO.h"
#include "module_IO.c"

#include "module_I2C.h"
#include "module_I2C.c"

#define SSD1306_I2C_MODULE_2 

#include "OLED_SSD1306.h"
#include "OLED_SSD1306.c"

#include "display_utilities.h"
#include "display_utilities.c"


//*************************************
//           
//*************************************
int main(void) {

    uint16_t i = 0;
        
    IO_set_all_ports_as_inputs();
        
    delay_set_quartz(20);
   
    delay_ms (100);
    
    Display_initialize ();

    while (1) {
        
        Display_draw_picture (logo_1);
        
        delay_ms (3000);
        Display_clear (DISPLAY_FILLING_WHITE);
      
        Display_draw_icon (50,16, 26, 32, music_note);

        delay_ms (3000);
        Display_clear (DISPLAY_FILLING_WHITE);
        
        Display_draw_window ( 0, 0, 127, 63, DISPLAY_FILLING_BLACK);
        Display_draw_window ( 2, 2, 123, 59, DISPLAY_FILLING_BLACK);

        Display_write_message (20,28,"Loading...    %");

        for (i = 0; i < 100 ; i+= 5) {
            Display_write_integer (90,28, i, 2, DISPLAY_ZERO_CLEANING_OFF);
            delay_ms (100);
        }

        Display_clear (DISPLAY_FILLING_WHITE);
        Display_write_message (30,28,"Hello World");
        delay_ms (2000);
        
        //Contrast test
        Display_clear (DISPLAY_FILLING_WHITE);
        Display_write_message (20,28,"Contrast...   %");
        
        for (i = 0; i < 100 ; i+=5) {
            
            Display_write_integer (90,28, i, 2, DISPLAY_ZERO_CLEANING_OFF);
            Display_set_contrast (i); 
            delay_ms (500);
        }
        
        Display_set_contrast (50); 
        
    }
    
}
    