//******************************************************************************
// The software is testing the basic functions implemented in the GLCD graphic 
// library.
//
//
// Tested Platform: mini Controller board PIC32
// Tested MCU: PIC32MX150F128D
// Tested Compiler: XC32 4.30
//******************************************************************************

#include <xc.h>

#define SYSTEM_CLOCK 32000000UL

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "LTlib_utilities.h"
#include "LTlib_utilities.c"

#include "module_IO.h"
#include "module_IO.c"

#include "module_I2C.h"
#include "module_I2C.c"

#define SSD1306_I2C_MODULE_2 

#define DISPLAY_X_RESOLUTION 128
#define DISPLAY_Y_RESOLUTION 32

#include "OLED_SSD1306.h"
#include "OLED_SSD1306.c"

#include "display_utilities.h"
#include "display_utilities.c"

//*************************************
//           
//*************************************
int main(void) {

    uint16_t i = 0;
    float number_to_convert = -3.141592;
    
    IO_set_all_ports_as_inputs();
     
    delay_set_quartz(16);

    Display_initialize ();

    Display_backlight (DISPLAY_TURN_ON_LED);
    
    Display_set_display (DISPLAY_TURN_ON);
          
    while (1) {

        Display_write_message (5,5,"Integer:   %");
        
        Display_write_message (5,15,"Real:    ");

        for (i = 0; i < 100 ; i+= 1) {
            
            Display_write_integer (55,5, i, 2, DISPLAY_ZERO_CLEANING_OFF);
            
            Display_write_float (50,15,number_to_convert * i, 9, 4, DISPLAY_ZERO_CLEANING_ON);
                   
            delay_ms (100);
        }
               
    }
}

    