//******************************************************************************
// The software writes a byte to the PCF8574 to which LEDs are connected. 
// The device must be connected to the I2C module 1, with a device address = 0x00.  
// The LEDs must be connected with the anode to Vcc via a resistor 560-1000 Ohm.
// A 0 to the PCF8574 turns on the LED.
//
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032B
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "module_IO.h"
#include "module_IO.c"

#include "module_I2C.h"
#include "module_I2C.c"

#define PCF8574_I2C_MODULE_2 
#include "PCF8574.h"
#include "PCF8574.c"

void main(void) {
    
    IO_set_all_ports_as_inputs();
    
    PCF8574_initialize(50);
    
    PCF8574_write_data(0x00, 0x0F);
    
    while(1);
}
