//******************************************************************************
// The software is testing the basic functions implemented in the touch library
//
// Tested Platform: mini Controller Board PIC32
// Tested MCU: PIC32MX150F128D
// Tested Compiler: XC32 4.30
//******************************************************************************

#include <xc.h>

#define SYSTEM_CLOCK 32000000

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "LTlib_utilities.h"
#include "LTlib_utilities.c"

#include "module_IO.h"
#include "module_IO.c"

#include "module_ADC.h"
#include "module_ADC.c"

#include "module_SPI.h"
#include "module_SPI.c"

#include "GLCD_ST7565.h"
#include "GLCD_ST7565.c"

#include "display_utilities.h"
#include "display_utilities.c"

#include "Touch.h"
#include "Touch.c"


//*************************************
//           
//*************************************
int main(void) {

    point touch;
        
    IO_set_all_ports_as_inputs();
      
    delay_set_quartz(16);
   
    Display_initialize ();

    Display_backlight (DISPLAY_TURN_ON_LED);
    
    Display_set_font (DISPLAY_FONT_WIDTH_5, DISPLAY_FONT_HEIGTH_7);
    
    Touch_initialize (128, 64);
    
    Touch_beep (5);
    
    Display_write_message (20,28,"Calibration...");
    delay_s (1);
    
    //*******************************
    //Calibration
    //*******************************

    Touch_calibrate ();    
    
    while (1) {    
        
        touch = Touch_measure(4);

        Display_plot_xy(touch.X, touch.Y, DISPLAY_FILLING_BLACK);

    }    
}
    