//******************************************************************************
// In this example one LED is turned on as RED and is rotating within the string. 
// The string is connected to PORTB pin RB4 (Group 5)
// The string is made of 12 LEDs. 
//
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032B
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "WS2812B.h"
#include "WS2812B.c"

void main (void){
    
    uint8_t counter = 0;
    uint8_t subcounter = 0;
    
    WS2812_initialize();
    WS2812_turn_off_group(LED_GROUP_5);
    
    while (1){
    
        for (counter = 0; counter < group_size[4] ; counter++){
            
            WS2812_reset_LED(LED_GROUP_5);
            
            for (subcounter = 0; subcounter < counter; subcounter++){
                WS2812_turn_on_LED(LED_GROUP_5, 0,0,0);   
            }
            
            WS2812_turn_on_LED(LED_GROUP_5, 255,0,0);  
            delay_ms (30); 
            WS2812_turn_off_group(LED_GROUP_5);
        }      
    }    
}