//******************************************************************************
// The example reads continuously the ADC CH1 of the MCU and writes it to the LCD.
// The LCD must be connected reflecting the settings of the LCD included library.
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "LTlib_utilities.h"
#include "LTlib_utilities.c"

#include "module_IO.h"
#include "module_IO.c"

#include "module_ADC.h"
#include "module_ADC.c"

#include "LCD_ST7036.h"
#include "LCD_ST7036.c"

void main (void){
    
    IO_set_all_ports_as_inputs();
    
    LCD_initialize(20);
    
    ADC_open(ADC_CH1);    
   
    while(1){
        LCD_home();
        LCD_write_message("Value : ");        
        LCD_write_integer (ADC_read_channel(ADC_CH1), 4, LCD_ZERO_CLEANING_OFF);     
    }
}
