//******************************************************************************
// The software reads from the flash memory the device ID and the die version.
// The values are written to the LCD connected as specified by the LCD library 
// included above. 
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "LTlib_utilities.h"
#include "LTlib_utilities.c"

#include "module_IO.h"
#include "module_IO.c"

#include "module_FLASH.h"
#include "module_FLASH.c"

#include "LCD_ST7036.h"
#include "LCD_ST7036.c"

void main(void) {
    
    IO_set_all_ports_as_inputs();
    
    LCD_initialize(20);
    
    LCD_backlight(LCD_TURN_ON_LED);
    
    LCD_write_message("ID Check : ");
    if (FLASH_read_device_ID() == DEVICE_ID){
        LCD_write_message("PASS");    
    } else {
        LCD_write_message("FAIL");
    }

    LCD_goto_line(2);
    
    LCD_write_message("Device Rev.: ");
    LCD_write_integer(FLASH_read_device_revision(), 2, LCD_ZERO_CLEANING_OFF);
    
    while(1);
}
