//******************************************************************************
// The program will execute 3 LED blinking. 
// If you reset the MCU before the 3rd blinking the program will start again.
// If yuo reset the MCU after the thir blinking...
// it is too late, the program memory is erased and there is nothing to execute. 
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "module_FLASH.h"
#include "module_FLASH.c"

#include "module_IO.h"
#include "module_IO.c"

void main(void) {
    
    uint8_t data_buffer[FLASH_WRITE_BLOCK];
    uint8_t index = 0;
    
    IO_set_all_ports_as_inputs(); 
    
    IO_set_port_direction(IO_PORTB, 0x0000);
    
    IO_write_port(IO_PORTB, 0xFF);
    delay_s(1);
    IO_write_port(IO_PORTB, 0x00);
    delay_s(1);
    IO_write_port(IO_PORTB, 0xFF);
    delay_s(1);
    IO_write_port(IO_PORTB, 0x00);
    delay_s(1);
    IO_write_port(IO_PORTB, 0xFF);
    delay_s(1);
    IO_write_port(IO_PORTB, 0x00);
    
    for (index=0; index < 32; index++ ){
        FLASH_erase_memory((256 * index)+ 0x1d000000);
    }
    
    while (1);
}
 