//******************************************************************************
// The program writes a single word to the pointed address location. 
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "module_FLASH.h"
#include "module_FLASH.c"

#include "module_IO.h"
#include "module_IO.c"

void main(void) {
    
    uint32_t data = 0x000000AA;
    uint32_t data_readback = 0;
    
    uint32_t base_address = 0x9D000000;
    uint32_t offset_address = 0x0100;
    uint32_t address = base_address + offset_address;
    
    IO_set_all_ports_as_inputs();
    
    IO_set_port_direction(IO_PORTB, 0x00);
    
    //For debug purpose, to check if the address is empty
    //This function uses virtual address
    FLASH_read_memory (address, 1, &data_readback);
    
    //This function uses phisical address, thus the conversion with the &
    FLASH_write_word(address & 0x1FFFFFFF,data);
    
    FLASH_read_memory (address, 1, &data_readback);
    
    if (data_readback == data){
        IO_write_port(IO_PORTB, 0xFF);
    } else {
       IO_write_port(IO_PORTB, 0x00); 
    }
    
    while (1);
}
 