//******************************************************************************
// The software reads PORTB where you have 2 buttons on RB4-RB5 (BT1-BT2).
// The button that gets pressed is shown on PORTA where you need to connects
// 2 LEDs to the output RA0 to RA1.
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032B
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "module_IO.h"
#include "module_IO.c"

void main(void) {
    
    uint8_t data;

    IO_set_port_direction(IO_PORTB, IO_BIT4_IN + IO_BIT5_IN);
    IO_set_port_direction(IO_PORTA, IO_ALL_PORT_OUTPUT);
    
    IO_enable_pull_up_resistors (IO_PORTB, IO_BIT4 + IO_BIT5);
       
    while(1){
        data = IO_read_port(IO_PORTB);
        IO_write_port(IO_PORTA, data >> 4);
    }
}
