//******************************************************************************
// The software reads PORTB where you have 2 buttons on RB4-RB5 (BT1-BT2).
// If the button on RB4 is pressed all the LEDs on PORTA are turned ON.
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032B
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "module_IO.h"
#include "module_IO.c"

#define BUTTON_PRESSED 0x00

void main(void) {
    
    IO_set_all_ports_as_inputs();
    
    IO_enable_pull_up_resistors (IO_PORTB, IO_BIT4 + IO_BIT5);
     
    IO_set_port_direction(IO_PORTA, IO_ALL_PORT_OUTPUT);
 
    while(1){
        
        if (IO_read_port_bit(IO_PORTB, IO_BIT4) == BUTTON_PRESSED) {
            IO_write_port(IO_PORTA, 0xFF);
        } else {
            IO_write_port(IO_PORTA, 0x00);
        }        
    }
}
