//******************************************************************************
// The example lets the LEDs connected to RA0 and RA1 blink with 2s period.
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032B
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "module_IO.h"
#include "module_IO.c"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

void main(void) {

    IO_set_all_ports_as_inputs();

    IO_set_port_direction(IO_PORTA, IO_ALL_PORT_OUTPUT);
    
    delay_set_quartz (20);

    //The LEDs on PORTD will blink at 1Hz 
    while (1) {
        
        IO_write_port(IO_PORTA, 0x03);
        delay_s (1);
        IO_write_port(IO_PORTA, 0x00);
        delay_s (1);
    }
}
