/*******************************************************************************
 
Autore : Mauro Laurenti
Versione : 1.2
 
Created on Date : 25/10/2015
Last update     : 09/05/2024

CopyRight 2006-2024 all rights are reserved

********************************************************
SOFTWARE LICENSE AGREEMENT
********************************************************

The usage of the supplied software imply the acceptance of the following license.

The software supplied herewith by Mauro Laurenti (the Author) is intended for
use solely and exclusively on Microchip PIC Microcontroller (registered mark).
The software is owned by the Author, and is protected under applicable
copyright laws. All rights are reserved.
Any use in violation of the foregoing restrictions may subject the
user to criminal sanctions under applicable laws, as well as to civil liability
for the breach of the terms and conditions of this license.
Commercial use is forbidden without a written acknowledgement with the Author.
Personal or educational use is allowed if the application containing the
following software doesn't aim to commercial use or monetary earning of any kind.

THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE AUTHOR SHALL NOT,
IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 
*******************************************************************************/

#ifdef COMPILER_XC
    #include <xc.h>
#endif

//***************************************************
//              Port and register size
//***************************************************
#ifdef COMPILER_XC8
    typedef unsigned char __u_int8;
    typedef unsigned int __u_int16;
    typedef unsigned long __u_int32;
    typedef unsigned long long int __u_int64;
    
    typedef signed char __s_int8;
    typedef signed int __s_int16;
    typedef signed long __s_int32;
    typedef signed long long int __s_int64;
    
    typedef __u_int8 port_size;
    typedef __u_int8 register_size;
#endif

#ifdef COMPILER_XC16
    typedef unsigned char __u_int8;
    typedef unsigned short int __u_int16;
    typedef unsigned int __u_int32;
    typedef unsigned long long int __u_int64;
    
    typedef signed char __s_int8; 
    typedef signed short int __s_int16;
    typedef signed int __s_int32;
    typedef signed long long int __s_int64;
    
    typedef __u_int16 port_size;
    typedef __u_int16 register_size;
#endif


#ifdef COMPILER_XC32
    typedef unsigned char __u_int8;
    typedef unsigned short int __u_int16;
    typedef unsigned int __u_int32;
    typedef unsigned long long int __u_int64;
    
    typedef signed char __s_int8; 
    typedef signed short int __s_int16;
    typedef signed int __s_int32;
    typedef signed long long int __s_int64;
    
    typedef __u_int16 port_size;
    typedef __u_int32 register_size;
#endif

//***************************************************
//              Type Definitions
//***************************************************

// **************   Unsigned   **************
#ifndef uint8_t
    #define uint8_t __u_int8
#endif    

#ifndef uint16_t
    #define uint16_t __u_int16
#endif    

#ifndef uint32_t
    #define uint32_t __u_int32
#endif   

#ifndef uint64_t
    #define uint64_t __u_int64
#endif       
    

// **************   Signed   **************
#ifndef int8_t
    #define int8_t __s_int8
#endif    

#ifndef int16_t
    #define int16_t __s_int16
#endif    

#ifndef int32_t
    #define int32_t __s_int32
#endif   

#ifndef int64_t
    #define int64_t __s_int64
#endif  
    
    
//***************************************************
//        Type definition for FAT library
//***************************************************


#ifdef _WIN32	/* FatFs development platform */

#include <windows.h>
#include <tchar.h>

#else			/* Embedded platform */

/* These types must be 16-bit, 32-bit or larger integer */
typedef int16_t		INT;
typedef uint16_t	UINT;

/* These types must be 8-bit integer */
typedef uint8_t	UCHAR;
typedef uint8_t	BYTE;

/* These types must be 16-bit integer */
typedef int16_t			SHORT;
typedef uint16_t	USHORT;
typedef uint16_t	WORD;
typedef uint16_t	WCHAR;

/* These types must be 32-bit integer */
typedef int32_t		LONG;
typedef uint32_t	ULONG;
typedef uint32_t	DWORD;

#endif
    
//***************************************************
//              SUPPORTED CONSTANTS
//***************************************************

#ifdef COMPILER_XC
    #define PIN_AS_INPUT 0x01
    #define PIN_AS_OUTPUT 0x00  
#endif
 
